org.apache.cassandra.transport

## Class ServerConnection

- java.lang.Object
- - org.apache.cassandra.transport.Connection
  - - org.apache.cassandra.transport.ServerConnection

    public class ServerConnection
    extends Connection

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.transport.Connection

`Connection.Factory, Connection.Tracker`

### Constructor Summary

Constructors
Constructor and Description
`ServerConnection(io.netty.channel.Channel channel, int version, Connection.Tracker tracker)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applyStateTransition(Message.Type requestType, Message.Type responseType)`
`IAuthenticator.SaslNegotiator` `getSaslNegotiator()`
`QueryState` `validateNewMessage(Message.Type type, int version, int streamId)`

### Methods inherited from class org.apache.cassandra.transport.Connection

`channel, getCompressor, getTracker, getVersion, setCompressor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServerConnection

    public ServerConnection(io.netty.channel.Channel channel,
                            int version,
                            Connection.Tracker tracker)

### Method Detail

#### validateNewMessage

    public QueryState validateNewMessage(Message.Type type,
                                         int version,
                                         int streamId)

#### applyStateTransition

    public void applyStateTransition(Message.Type requestType,
                                     Message.Type responseType)

#### getSaslNegotiator

    public IAuthenticator.SaslNegotiator getSaslNegotiator()